mandatory:
    PRODUCTS_BASE_DIR: "/mnt/GEOSUD_WA/STAC/SSM_2025/"
    STAC_OUTPUT_DIR: "/mnt/GEOSUD_WA/STAC/SSM_2025_STAC"
    COL_ID: "sentinel-derived-soil-moisture-oldprod"
    COL_TITLE: "Sentinel-1/Sentinel-2 derived soil Moisture product at Plot scale (S2MP:v1)"
    COL_DESC: > 
        The soil moisture maps were carried out at a plot scale.
        A map is provided each 6 days (12 days with Sentinel-1A and 12 days with Sentinel-1B). 
        Inversion algorithm for estimating soil moisture was applied for agricultural areas with any vegetation cover. 
        Land cover map is used to extract the agricultural areas. 
        Sentinel-2 images corrected for atmospheric effects are used 
        to calculate the NDVI (Normalized Differential Vegetation Index). 
        Using several in situ measurements of soil moisture, the accuracy 
        on soil moisture estimation was evaluated to be about 5 vol.%. 
        In the provided soil moisture maps (WGS84, EPSG: 4326), 
        the soil moisture values (mv) are multiplied by 5. 
        In order to derive the estimated soil moisture value 
        from the provided maps it is necessary to divide by 5 : 
        volumetric soil moisture (in vol.%) = value obtatiend from the map / 5. 
        Null values in the soil moisture maps = no data (no soil moisture estimation)
    COL_QUICLOOK_URL: "https://i.ibb.co/JwBnSCJ1/soilmoisture.png"
    PROD_NAME_PREFIX: "MV_"
    PROD_NAME_EXT: "TIF"
    ASSET_KEY: "MV"
    ASSET_DESC: "Sentinel derived soil moisture at plot scale : MV = 0.2 * px"
    CONTACT:
        - Name: "Loïc Lozac'h"
          Organization: "INRAE"
        - Name: "Nicolas Baghdadi"
          Organization: "INRAE"
    # use python datetime strftime regex (dt) for keys and use python re search regex (re) for value
    PROD_DATETIME_REGEX:
        - dt: "%Y-%m-%dT%H-%M-%S"
          re: '([1|2]\d{3})-((0[1-9])|(1[0-2]))-(0[1-9]|[1-2][0-9]|(3[0-1]))T(([0-1][0-9])|(2[0-3]))-([0-5][0-9])-([0-5][0-9])'
        - dt: "%Y%m%dT%H%M%S"
          re: '([1|2]\d{3})((0[1-9])|(1[0-2]))(0[1-9]|[1-2][0-9]|(3[0-1]))T(([0-1][0-9])|(2[0-3]))([0-5][0-9])([0-5][0-9])'
        - dt: "%Y%m%d%H%M%S"
          re: '([1|2]\d{3})((0[1-9])|(1[0-2]))(0[1-9]|[1-2][0-9]|(3[0-1]))(([0-1][1-9])|(2[0-3]))([0-5][0-9])([0-5][0-9])'
        - dt: "%Y-%m-%d"
          re: '([1|2]\d{3})-((0[1-9])|(1[0-2]))-(0[1-9]|[1-2][0-9]|(3[0-1]))'
        - dt: "%Y%m%d"
          re: '([1|2]\d{3})((0[1-9])|(1[0-2]))(0[1-9]|[1-2][0-9]|(3[0-1]))'
optionnal:
    # Delete unnecessary key/value
    ASSET_SCALES:
        - band_index: 1
          scale: 0.2
    
    
